Bug 221013 - net-mgmt/cacti: Update to 1.1.15
Summary: net-mgmt/cacti: Update to 1.1.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2017-07-26 07:44 UTC by Daniel Austin
Modified: 2017-08-03 00:25 UTC (History)
2 users (show)

See Also:
freebsd-ports: maintainer-feedback+
dbaio: merge-quarterly+


Attachments
Update cacti to 1.1.15 (1.46 KB, patch)
2017-07-26 07:44 UTC, Daniel Austin
freebsd-ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Austin 2017-07-26 07:44:31 UTC
Created attachment 184716 [details]
Update cacti to 1.1.15

Update cacti to 1.1.15 to fix bugs.
No CVEs covered in this update.

Please ignore the portlint warnings about gettext... cacti handles gettext support internally so gettext is not required in Makefile.

Poudriere testport logs for 10.3/11.0 i386/amd64 are located at:

https://poudriere.dan.tm/poudriere/data/latest-per-pkg/cacti/1.1.15/
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-26 08:09:27 UTC
Thank you Daniel.

Should this update be merged to quarterly users? If so, please set merge-quarterly to "?"
Comment 2 Daniel Austin 2017-07-26 08:17:17 UTC
(In reply to Kubilay Kocak from comment #1)
Hi koobs,

The changelog does reference a XSS bugfix (although no CVE), so I think it might be worthwhile doing merge-quarterly.  I've flagged it.
Comment 3 commit-hook freebsd_committer 2017-07-27 01:20:36 UTC
A commit references this bug:

Author: dbaio
Date: Thu Jul 27 01:19:52 UTC 2017
New revision: 446709
URL: https://svnweb.freebsd.org/changeset/ports/446709

Log:
  net-mgmt/cacti: Update to 1.1.15

  Changes:	https://www.cacti.net/release_notes.php?version=1.1.14
  		https://www.cacti.net/release_notes.php?version=1.1.15

  PR:		221013
  Submitted by:	Daniel Austin <freebsd-ports@dan.me.uk> (maintainer)
  MFH:	2017Q3

Changes:
  head/net-mgmt/cacti/Makefile
  head/net-mgmt/cacti/distinfo
  head/net-mgmt/cacti/pkg-plist
Comment 4 commit-hook freebsd_committer 2017-08-01 18:35:55 UTC
A commit references this bug:

Author: feld
Date: Tue Aug  1 18:35:38 UTC 2017
New revision: 447069
URL: https://svnweb.freebsd.org/changeset/ports/447069

Log:
  MFH: r446709

  net-mgmt/cacti: Update to 1.1.15

  Changes:	https://www.cacti.net/release_notes.php?version=1.1.14
  		https://www.cacti.net/release_notes.php?version=1.1.15

  PR:		221013
  Submitted by:	Daniel Austin <freebsd-ports@dan.me.uk> (maintainer)

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/net-mgmt/cacti/Makefile
  branches/2017Q3/net-mgmt/cacti/distinfo
  branches/2017Q3/net-mgmt/cacti/pkg-plist